#ifndef FULLSCREENWIN_H
#define FULLSCREENWIN_H


#include "RMWin.h"

class FullScreenWin : public RMWin
{
public:
	FullScreenWin();
protected:
	//{{AFX_MSG(FullScreenWin)
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void OnRenderWireframe();
	void OnRenderFlat();
	void OnRenderGouraud();

	BOOL CreateScene();
	void Render();
	static void UpdateAnimation(LPDIRECT3DRMFRAME, void*, D3DVALUE);

	BOOL CreateMenuSurface();
	BOOL UpdateMenuSurface();

	BOOL CreateFPSSurface();
	BOOL UpdateFPSSurface();
private:
	LPDIRECT3DRMMESHBUILDER meshbuilder;
	static LPDIRECT3DRMANIMATION animation;

	HFONT smallfont, largefont;

	LPDIRECTDRAWSURFACE menusurf;
	RECT menurect;
	int selectmode;

	LPDIRECTDRAWSURFACE fpssurf;
	RECT fpsrect;
	BOOL displayfps;

	LPDIRECTDRAWSURFACE bmpsurf;
	RECT bmpsrect;

};


#endif
